diff -Naur linux-Switch/include/uapi/linux/mman.h linux-Switch-2/include/uapi/linux/mman.h
--- linux-Switch/include/uapi/linux/mman.h	2022-10-16 21:44:08.485528436 +0200
+++ linux-Switch-2/include/uapi/linux/mman.h	2022-10-16 22:56:11.320353377 +0200
@@ -10,4 +10,7 @@
 #define OVERCOMMIT_ALWAYS		1
 #define OVERCOMMIT_NEVER		2
 
+#define MAP_HUGE_1MB        (20U << 26)
+#define MAP_HUGE_2MB        (21U << 26)
+
 #endif /* _UAPI_LINUX_MMAN_H */
